use std::fmt::Display;

#[derive(Debug, Clone)]
pub enum Protocol {
    HTTP1_1,
}

impl Display for Protocol {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Protocol::HTTP1_1 => write!(f, "HTTP/1.1"),
        }
    }
}
